Bug 241756 - [exp-run] update devel/binutils and flavorize it
Summary: [exp-run] update devel/binutils and flavorize it
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Baptiste Daroussin
URL: https://reviews.freebsd.org/D22258
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-06 12:33 UTC by Baptiste Daroussin
Modified: 2019-11-15 10:12 UTC (History)
0 users

See Also:
antoine: exp-run+


Attachments
the patch (102.59 KB, patch)
2019-11-10 20:28 UTC, Baptiste Daroussin
no flags Details | Diff
the patch (205.60 KB, patch)
2019-11-10 20:44 UTC, Baptiste Daroussin
no flags Details | Diff
the patch (207.44 KB, patch)
2019-11-12 09:27 UTC, Baptiste Daroussin
no flags Details | Diff
the patch (206.67 KB, patch)
2019-11-12 09:38 UTC, Baptiste Daroussin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Baptiste Daroussin freebsd_committer 2019-11-06 12:33:58 UTC

    
Comment 1 Antoine Brodin freebsd_committer 2019-11-10 08:43:43 UTC
Can you provide a patch that can be applied?
Comment 2 Baptiste Daroussin freebsd_committer 2019-11-10 20:28:41 UTC
Created attachment 209041 [details]
the patch
Comment 3 Antoine Brodin freebsd_committer 2019-11-10 20:31:01 UTC
(In reply to Baptiste Daroussin from comment #2)
This patch is incomplete,  can you regenerate it with --show-copies-as-adds
Comment 4 Baptiste Daroussin freebsd_committer 2019-11-10 20:44:18 UTC
Created attachment 209043 [details]
the patch
Comment 5 Antoine Brodin freebsd_committer 2019-11-10 22:07:58 UTC
[00:00:28] Warning: (devel/mingw32-gcc): Error: devel/mingw32-gcc depends on nonexistent origin 'devel/mingw32-binutils' (moved to devel/binutils@mingw32); Please contact maintainer of the port to fix this.
[00:00:28] Warning: (devel/riscv64-gcc): Error: devel/riscv64-gcc depends on nonexistent origin 'devel/riscv64-binutils' (moved to devel/binutils@riscv64); Please contact maintainer of the port to fix this.
Comment 6 Antoine Brodin freebsd_committer 2019-11-10 22:13:51 UTC
[00:00:03] Warning: Nonexistent origin listed in category Makefiles: devel/mingw32-binutils (skipping)
[00:00:03] Warning: Nonexistent origin listed in category Makefiles: devel/mips-binutils (skipping)
[00:00:03] Warning: Nonexistent origin listed in category Makefiles: devel/mips64-binutils (skipping)
[00:00:03] Warning: Nonexistent origin listed in category Makefiles: devel/powerpc64-binutils (skipping)
[00:00:03] Warning: Nonexistent origin listed in category Makefiles: devel/riscv64-binutils (skipping)
[00:00:03] Warning: Nonexistent origin listed in category Makefiles: devel/s390x-binutils (skipping)
Comment 7 Antoine Brodin freebsd_committer 2019-11-10 22:15:19 UTC
[00:01:19] Warning: devel/plasma dependency on devel/binutils has wrong PKGNAME of 'binutils' but should be 'native-binutils'
Comment 8 Antoine Brodin freebsd_committer 2019-11-10 22:47:20 UTC
And there is a problem with the native flavor...

sometimes it says it produces binutils-2.33.1,1,  other times it says native-binutils-2.33.1,1,  this is not good.
Comment 9 Baptiste Daroussin freebsd_committer 2019-11-12 09:27:27 UTC
Created attachment 209088 [details]
the patch
Comment 10 Baptiste Daroussin freebsd_committer 2019-11-12 09:28:28 UTC
patch updated
Comment 11 Baptiste Daroussin freebsd_committer 2019-11-12 09:38:52 UTC
Created attachment 209089 [details]
the patch
Comment 12 Antoine Brodin freebsd_committer 2019-11-15 09:36:33 UTC
Exp-run looks fine
Comment 13 Antoine Brodin freebsd_committer 2019-11-15 09:57:26 UTC
The devel/libsigcx part of the patch seems unrelated.
Comment 14 commit-hook freebsd_committer 2019-11-15 10:09:30 UTC
A commit references this bug:

Author: bapt
Date: Fri Nov 15 10:09:06 UTC 2019
New revision: 517642
URL: https://svnweb.freebsd.org/changeset/ports/517642

Log:
  Update binutils to 2.33.1

  While here, convert binutils into flavors, that ease a lot maintenance
  and helps cleaning out the code.

  This is inspired by the same work on going on the xtoolchained gcc by jhb@

  PR:		241756
  Exp-run:	antoine (portmgr)
  Discussed with:	jhb
  Differential Revision:	https://reviews.freebsd.org/D22258

Changes:
  head/MOVED
  head/devel/Makefile
  head/devel/aarch64-binutils/
  head/devel/aarch64-none-elf-binutils/
  head/devel/aarch64-none-elf-gcc/Makefile
  head/devel/amd64-binutils/
  head/devel/arduino-tools/Makefile
  head/devel/arm-gnueabi-binutils/
  head/devel/arm-none-eabi-binutils/
  head/devel/arm-none-eabi-gcc492/Makefile
  head/devel/arm-none-eabi-newlib/Makefile
  head/devel/avr-binutils/
  head/devel/avr-gcc/Makefile
  head/devel/avr-libc/Makefile
  head/devel/binutils/Makefile
  head/devel/binutils/distinfo
  head/devel/binutils/pkg-plist-aarch64
  head/devel/binutils/pkg-plist-aarch64-none-elf
  head/devel/binutils/pkg-plist-amd64
  head/devel/binutils/pkg-plist-arm-gnueabi
  head/devel/binutils/pkg-plist-arm-none-eabi
  head/devel/binutils/pkg-plist-avr
  head/devel/binutils/pkg-plist-i386
  head/devel/binutils/pkg-plist-mingw32
  head/devel/binutils/pkg-plist-mips
  head/devel/binutils/pkg-plist-mips64
  head/devel/binutils/pkg-plist-powerpc64
  head/devel/binutils/pkg-plist-riscv64
  head/devel/binutils/pkg-plist-s390x
  head/devel/binutils/pkg-plist-sparc64
  head/devel/i386-binutils/
  head/devel/mingw32-binutils/
  head/devel/mingw32-gcc/Makefile
  head/devel/mips-binutils/
  head/devel/mips64-binutils/
  head/devel/powerpc64-binutils/
  head/devel/powerpc64-gcc/Makefile
  head/devel/riscv64-binutils/
  head/devel/riscv64-gcc/Makefile
  head/devel/s390x-binutils/
  head/devel/sope4/Makefile
  head/devel/sparc64-binutils/